%global git0 https://github.com/rootless-containers/%{name}
%global commit0 2244b9b6461afeccad1678fac3d6e478c28b4ad6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name: slirp4netns
Version: 0.4.3
Release: 4%{?dist}
Summary: slirp for network namespaces
License: GPLv2
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch0: slirp4netns-CVE-2020-7039.patch
Patch1: slirp4netns-CVE-2020-7211.patch
Patch2: slirp4netns-CVE-2020-8608.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: libcap-devel
BuildRequires: libseccomp-devel
BuildRequires: make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Feb 06 2020 Jindrich Novy <jnovy@redhat.com> - 0.4.3-4
- Fix CVE-2020-8608 (#1798976).

* Fri Jan 17 2020 Jindrich Novy <jnovy@redhat.com> - 0.4.3-3
- Fix CVE-2020-7211 (#1792150).

* Thu Jan 16 2020 Jindrich Novy <jnovy@redhat.com> - 0.4.3-2
- Fix CVE-2020-7039 (#1791573).

* Wed Dec 18 2019 Jindrich Novy <jnovy@redhat.com> - 0.4.3-1
- update to 0.4.3

* Tue Dec 03 2019 Jindrich Novy <jnovy@redhat.com> - 0.4.2-1.git21fdece
- update to 0.4.2
- Related: RHELPLAN-26239

* Thu Sep 26 2019 Jindrich Novy <jnovy@redhat.com> - 0.3.0-2
- Fix CVE-2019-14378 (#1755592).

* Sat Jun 08 2019 Lokesh Mandvekar<lsm5@redhat.com> - 0.3.0-1
- bump to latest upstream release

* Fri Nov 16 2018 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.1-2.dev.gitc4e1bc5
- changed summary

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@redhat.com> - 0.1-1.dev.gitc4e1bc5
- First package for RHEL 8
- import from Fedora rawhide
- Exclude ix86 and ppc64
